Share via


Web Apps - Get Site Connection String Key Vault References

Description for Gets the config reference app settings and status of an app

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/config/configreferences/connectionstrings?api-version=2025-05-01

URI Parameters

Name In Required Type Description
name
path True

string

Name of the app.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ApiKVReferenceCollection

Azure operation completed successfully.

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Definitions

Name Description
ApiKVReference

Description of site key vault references.

ApiKVReferenceCollection

Paged collection of ApiKVReference items

createdByType

The type of identity that created the resource.

DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

ManagedServiceIdentity

Managed service identity.

ManagedServiceIdentityType

Type of managed service identity.

ResolveStatus
systemData

Metadata pertaining to creation and last modification of the resource.

UserAssignedIdentity

User Assigned identity.

ApiKVReference

Description of site key vault references.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Kind of resource.

name

string

The name of the resource

properties.activeVersion

string

properties.details

string

properties.identityType

ManagedServiceIdentity

Managed service identity.

properties.reference

string

properties.secretName

string

properties.secretVersion

string

properties.source enum:

KeyVault

properties.status

ResolveStatus

properties.vaultName

string

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ApiKVReferenceCollection

Paged collection of ApiKVReference items

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

ApiKVReference[]

The ApiKVReference items on this page

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

ManagedServiceIdentity

Managed service identity.

Name Type Description
principalId

string

Principal Id of managed service identity.

tenantId

string

Tenant of managed service identity.

type

ManagedServiceIdentityType

Type of managed service identity.

userAssignedIdentities

<string,  UserAssignedIdentity>

The list of user assigned identities associated with the resource. The user identity dictionary key references will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}

ManagedServiceIdentityType

Type of managed service identity.

Value Description
SystemAssigned
UserAssigned
SystemAssigned, UserAssigned
None

ResolveStatus

Value Description
Initialized
Resolved
InvalidSyntax
MSINotEnabled
VaultNotFound
SecretNotFound
SecretVersionNotFound
AccessToKeyVaultDenied
OtherReasons
FetchTimedOut
UnauthorizedClient

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UserAssignedIdentity

User Assigned identity.

Name Type Description
clientId

string

Client Id of user assigned identity

principalId

string

Principal Id of user assigned identity